#
# spec file for package php5-eaccelerator (Version 0.9.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

#norootforbuild

%define php_version %(php-config --version 2>/dev/null)
%define pkgversion 0.9.6.1

Name:           php5-eaccelerator
Version:        0.9.6.1
Release:        4.2
Url:            http://eaccelerator.net/
Group:          Productivity/Multimedia/Video/Players
License:        GPL
Summary:        a free PHP accelerator, optimizer, encoder and dynamic content cache
Source:         eaccelerator-%{pkgversion}.tar.bz2
Source1:        eaccelerator.ini
Autoreqprov:    on
BuildRequires:  php5-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       php5 = %{php_version}
Conflicts :     php5-APC php5-xcache

%description
eAccelerator is a free open-source PHP accelerator, optimizer, encoder and
dynamic content cache. It increases the performance of PHP scripts by caching
them in their compiled state, so that the overhead of compiling is almost
completely eliminated. It also optimizes scripts to speed up their execution.
eAccelerator typically reduces server load and increases the speed of your
PHP code by 1-10 times.

%prep

%setup -q -n eaccelerator-%{pkgversion}

%build

CFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

/usr/bin/phpize

%configure --without-eaccelerator-encoder --without-eaccelerator-loader

%{__make} %{?jobs:-j%jobs}

%install
%{__make} EXTENSION_DIR=%{buildroot}/usr/%{_lib}/php5/extensions install
%{__mkdir_p} %{buildroot}/var/cache/php5-eaccelerator/
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/php5/conf.d/
%{__cp} -a %SOURCE1 %{buildroot}/%{_sysconfdir}/php5/conf.d/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog README eaccelerator.ini control.php
%{_libdir}/php5/extensions/eaccelerator.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/eaccelerator.ini
%attr (750, wwwrun, root) /var/cache/php5-eaccelerator

%changelog
* Thu Jun 12 2008 cs@linux-administrator.com
- version  0.9.5.3
  - Remove an unlock statement that shouldn't be there.
  This should fix the problems reported in #232 and a lot of related bugs
* Tue Oct  2 2007 crrodriguez@suse.de
- version  0.9.5.2 fixes the optimizer mess in php 5.2.0 that caused exceptions
  to never be catched, optimizer is now enabled again.
* Tue May 29 2007 judas_iscariote@shorewall.net
- update to version 0.9.5.1
- disable the optimizer, it is buggy at the moment
- explicetely disable the encoder and loader that only works in PHP4.
* Sat Apr 14 2007 judas_iscariote@shorewall.net
- add a missing fix for a critical problem that renders EA unusable
  with PHP 5.2 and code that uses protected properties.
